{%  extends "base.html" %}

{%  block content %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-7">
            <h2>Репозитории с ошибками</h2>
                <table id="result" class="table table-striped table-bordered" width="100%">
                  <thead>
                    <tr>
                      <th class="col-lg-2 text-center">Репозиторий</th>
                      <th class="col-lg-4 text-center ">Лог ошибки</th>
                    </tr>
                  </thead>
                  <tbody>
                    {% for i in log %}
                        <tr>
                            {% for j in i %}
                                <td>
                                    {{ j }}
                                </td>
                            {% endfor %}
                        </tr>
                    {% endfor %}
                  </tbody>
                </table>
                <form action="/download" method="post">
                    <button type="submit" class="btn btn-primary btn-lg center-block">Сохранить в файл</button>
                </form>
                <h2>Результат работы программы</h2>
                 <table id="result" class="table table-striped table-bordered" cellspacing="0" width="100%">
              <thead>
                <tr>
                    {% for i in header %}
                        <td>{{ i }}</td>
                    {% endfor %}
                </tr>
              </thead>
              <tbody>
                {% for i in data %}
                        <tr class="warning">
                            {% for j in i %}
                                <td>
                                    {% if j is iterable and (j is not string) %}
                                        <!-- итерируемый тип, но не строка - список или словарь-->
                                        <!-- 0 элемент - число веток, 1 - ссылка на страницу веток-->
                                        <a href="{{j[1]}}">{{ j[0] }}</a>
                                    {% else %}
                                        {{ j }}
                                    {% endif %}
                                </td>
                            {% endfor %}
                        </tr>
                {% endfor %}
              </tbody>
            </table>
            </div>
            <script src="../static/js/scripts.js"></script>
        </div>
    </div>
{% endblock %}
